Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon
Class SshServer

    java.lang.Object
      com.sshtools.daemon.SshServer

public abstract class SshServer
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`SshServer()` Creates a new SshServer object.

Method Summary
`protected abstract void` | `configureServices(ConnectionProtocol connection)` DOCUMENT ME!
`protected TransportProtocolServer` | `createSession(java.net.Socket socket)` DOCUMENT ME!
`protected void` | `processCommand(int command, java.net.Socket client)` DOCUMENT ME!
`protected void` | `refuseSession(java.net.Socket socket)` DOCUMENT ME!
`protected void` | `startCommandSocket()` DOCUMENT ME!
`void` | `startServer()` DOCUMENT ME!
`protected void` | `startServerSocket()` DOCUMENT ME!
`protected void` | `stopServer()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SshServer

    public SshServer()
              throws java.io.IOException

  Creates a new SshServer object.

Throws:
  `java.io.IOException` - DOCUMENT ME!
  `SshException` - DOCUMENT ME!

Method Detail

### startServer

    public void startServer()
                     throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### processCommand

    protected void processCommand(int command,
                                  java.net.Socket client)
                           throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `command` - DOCUMENT ME!
    `client` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### startCommandSocket

    protected void startCommandSocket()
                               throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### startServerSocket

    protected void startServerSocket()
                              throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### stopServer

    protected void stopServer()
                       throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### configureServices

    protected abstract void configureServices(ConnectionProtocol connection)
                                       throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `connection` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### refuseSession

    protected void refuseSession(java.net.Socket socket)
                          throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `socket` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### createSession

    protected TransportProtocolServer createSession(java.net.Socket socket)
                                             throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `socket` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD